Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.8.1 Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 20658

Description

Comando di esecuzione GRASS GIS 7

The command fails with the commands below.

In addition, GRASS 7 is mentioned in the output even though GRASS 6 is used

g.proj -c proj4="+proj=utm +zone=30 +ellps=intl +towgs84=-87,-98,-121,0,0,0,0 +units=m +no_defs" 

v.in.ogr min_area=0.0001 snap=-1 dsn="/tmp/processing/65e399bf1c9845299fbc8cb35cecc045" layer=RESULT

output=tmp1428266824136 --overwrite -o

r.external -r input="/tmp/processing/9595961c18ca4cd5883b3dfd41c30b8d/OUTPUT.tif" band=1 output=tmp1428266824137

--overwrite -o

g.region n=4464237.5 s=-204.0 e=277859.025725 w=0.0 res=1.0

v.sample input=tmp1428266824136 column="VALUE" raster=tmp1428266824137 z="1"

output=output09e494c1c69344d68979c92a8c6bb469 --overwrite

v.out.ogr -s -c -e -z input=output09e494c1c69344d68979c92a8c6bb469

dsn="/tmp/processing/6c0ec9aa795e4b5a9db5b375226367c4" format=ESRI_Shapefile olayer=output type=auto

History

#1 - 2015-04-07 12:58 PM - Giovanni Manghi

- Status changed from Open to Feedback

on a Linux system with GRASS7 installed, using the GRASS7/Processing v.sample tool, is all ok. Not sure if/why we should worry anymore about GRASS

6 now that 7 is out and is already supported in Processing.

#2 - 2015-04-07 11:46 PM - Paolo Cavallini

- Status changed from Feedback to Open

Further tests: it is working in a simpler setting.

IMHO GRASS 6 support should not be dropped anytime soon, as G7 is still unavailable on several platforms.

#3 - 2015-04-08 12:57 AM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Open to Closed
